context("Retrieving and aligning multidimensional data sets.")

test_that("Call with no pattern dimension crashes", {
  expect_error(Start(), 
               "At least one pattern dim must be specified.")
  expect_error(Start(1), 
               "At least one pattern dim must be specified.")
  expect_error(Start('a'), 
               "At least one pattern dim must be specified.")
  expect_error(Start('all'), 
               "At least one pattern dim must be specified.")
})

test_that("Call with unexisting file crashes", {
  expect_error(Start(dataset = './non_existing_file.nc',
                     pattern_dims = 'dataset'),
               "No data files found for any of the specified datasets.")
})
